from flask import Flask, url_for
import os

sas = Flask(__name__)

ROOT = os.path.dirname(os.path.abspath(__file__))
UPLOAD_FOLDER = os.path.join(ROOT, 'static','nii')
SAS_FOLDER = os.path.join(ROOT, 'static','3d')
MAX_CONTENT_LENGTH = 16 * 1024 * 1024

# DB configuration
DATABASE = 'sas_web'

sas.config.from_object(__name__)


def static(filename):
    if os.path.isabs(filename):
        static_dir = os.path.join(ROOT, 'static')
        filename = filename.replace(static_dir, '')[1:]
    return url_for('static', filename = filename)

# Function to easily find your assets
# In your template use <link rel=stylesheet href="{{ static('filename') }}">
sas.jinja_env.globals['static'] = static

if not os.path.isdir(UPLOAD_FOLDER):
    os.mkdir(UPLOAD_FOLDER)
if not os.path.isdir(SAS_FOLDER):
    os.mkdir(SAS_FOLDER)

from sas import views
from sas import utils
