import os
from datetime import timedelta

BROKER_URL = 'mongodb://localhost:27017/sas_web'

CELERY_RESULT_BACKEND = "mongodb"
CELERY_MONGODB_BACKEND_SETTINGS = {
    "host": "localhost",
    "port": 27017,
    "database": "sas_web"
}

CELERY_TASK_SERIALIZER = 'json'
CELERY_RESULT_SERIALIZER = 'json'
CELERY_TIMEZONE = 'Europe/Madrid'
CELERY_ENABLE_UTC = True

CELERY_TRACK_STARTED = True

CELERY_DISABLE_RATE_LIMITS = True


SAS_BIN = os.path.join(os.path.dirname(os.path.abspath(__file__)), "bin", "appPlane")
UPLOAD_FOLDER = '/tmp/uploads'
SAS_FOLDER = os.path.join(os.path.dirname(os.path.dirname(os.path.abspath(__file__))), 'static','3d')

CLEANING_OLD_AGE = timedelta(days=7)
CELERY_TASK_RESULT_EXPIRES = CLEANING_OLD_AGE

CELERYBEAT_SCHEDULE = {
    'clean_every_12_hours': {
        'task': 'jobs.tasks.clean',
        'schedule': timedelta(hours=6),
        'args': ()
    },
}
