/*
 * jQuery File Upload Plugin JS Example 8.0
 * https://github.com/blueimp/jQuery-File-Upload
 *
 * Copyright 2010, Sebastian Tschan
 * https://blueimp.net
 *
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/MIT
 */

/*jslint nomen: true, unparam: true, regexp: true */
/*global $, window, document */

/**

$(function () {
    // Change this to the location of your server-side upload handler:
    var url = "{{ url_for('upload') }}";
    $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
        done: function (e, data) {
            console.log(data);
            $('<p/>').text(data.result.name).appendTo('#files');
            $('#progress').hide();
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress .bar').css(
                'width',
                progress + '%'
            );
        }
    });
});
 **/

$(function () {

      var jqXHR = undefined;
      var fileid = undefined;

      $('#fileupload').fileupload({
        url: url,
        dataType: 'json',
	progressInterval: 1,
	maxFileSize: 10,
	add: function (e, data) {
	    jqXHR = data.submit()
		.fail(function (jqXHR, textStatus, errorThrown) {
			   console.log(errorThrown);
			   if (errorThrown === 'abort') {
			       alert('File Upload has been canceled');
			   }
		       })
		.always(function (result, textStatus, jqXHR) {
			    console.log(result, textStatus);
			  });
	}
      }).bind('fileuploaddone', function (e, data) {
		  fileid = data.result.fileid;
		  
		  if (data.result.error) {
		      console.log(data.result.error, data.result.msg);
		      $('#uploadModal #error_div').addClass('in').append(
			  '<div class="alert alert-error">'+data.result.msg+'</div>'
		      );
		  }
		  else {
		      console.log('uploaded', fileid);
		      $('#uploadModal #compute').removeClass('disabled').addClass('btn-primary');
		  }
	      })
      ;

      $('#uploadModal #compute').click(function (e) {
	  if ( ! $(this).hasClass('disabled'))
	      window.location = resultsUrl+"?fileid="+fileid;
      });

      $('#uploadModal').on('hidden', function () {
	  $('#uploadModal #error_div').removeClass('in').empty();
	  $('#uploadModal #compute').addClass('disabled').removeClass('btn-primary');
      });
});
