
$(function () {
      // create a new 3d renderer
      var r = new X.renderer3D();
      r.container =  $('#canvas')[0];
      r.init();

      // create a mesh from a .vtk file
      var sas = new X.mesh();
      sas.file = sas_file;
      sas.color = [1,1,0];

      // add the object
      r.add(sas);
      r.camera.position = [0, 1000, 0];
      // .. and render it
      r.render();
});


var threeRender = function () {
      var $canvas = $('#canvas');
      var width = $canvas.width();
      var height = width * 2/3;

      var container, stats;

      var camera, controls, scene, renderer;

      var cross;

      init();
      animate();

      function init() {

	  camera = new THREE.PerspectiveCamera( 60, width/height, 0.01, 1e10 );
	  camera.position.z = 0.2;

	  controls = new THREE.TrackballControls( camera );

	  controls.rotateSpeed = 5.0;
	  controls.zoomSpeed = 5;
	  controls.panSpeed = 2;

	  controls.noZoom = false;
	  controls.noPan = false;

	  controls.staticMoving = true;
	  controls.dynamicDampingFactor = 0.3;

	  scene = new THREE.Scene();

	  scene.add( camera );

	  // light

	  var dirLight = new THREE.DirectionalLight( 0xffffff );
	  dirLight.position.set( 200, 200, 1000 ).normalize();

	  camera.add( dirLight );
	  camera.add( dirLight.target );

	  var material = new THREE.MeshLambertMaterial( { color:0xffffff, side: THREE.DoubleSide } );

	  var loader = new THREE.VTKLoader();
	  loader.addEventListener( 'load', function ( event ) {

				       var geometry = event.content;

				       var mesh = new THREE.Mesh( geometry, material );
				       mesh.position.setY( - 0.09 );
				       scene.add( mesh );

				   } );
	  loader.load( "static/3d/paco.vtk" );

	  // renderer

	  renderer = new THREE.WebGLRenderer( { antialias: false } );
	  renderer.setClearColor( 0x000000, 1 );
	  renderer.setSize( width, height );

	  container = $canvas;
	  container.append( renderer.domElement );

	  stats = new Stats();
	  stats.domElement.style.position = 'absolute';
	  stats.domElement.style.top = '0px';
	  container.append( stats.domElement );

	  //

	  window.addEventListener( 'resize', onWindowResize, false );

      }

      function onWindowResize() {
	  width = $canvas.width();
	  height = width * 2/3;

	  camera.aspect = width / height;
	  camera.updateProjectionMatrix();

	  renderer.setSize( width, height );

	  controls.handleResize();
      }

      function animate() {

	  requestAnimationFrame( animate );

	  controls.update();
	  renderer.render( scene, camera );

	  stats.update();

      }

};