import pymongo

from sas import sas
import os

ALLOWED_EXTENSIONS = set(['nii'])
def allowed_file(filename):
	return '.' in filename and \
	    filename.rsplit('.', 1)[1].lower() in ALLOWED_EXTENSIONS

def connect_db():
	client = pymongo.connection.Connection()
	return client[sas.config['DATABASE']]

def _get_file(fileid, folder, ext='nii'):
	return os.path.join(sas.config[folder], "%s.%s"%(fileid,ext) )

def get_upload_file(fileid, ext='nii'):
	return _get_file(fileid, 'UPLOAD_FOLDER', ext)

def get_sas_file(fileid, ext='vtk'):
	return _get_file(fileid, 'SAS_FOLDER', ext)

def get_measusers_file(fileid):
	return get_sas_file(fileid, 'txt')
